/******************************* servo.h *******************************/

#ifndef HEADER_RADIO_H
#define HEADER_RADIO_H



#define RADIO_MAX_CHANNELS 8


// configures the timer input capture to allow for receiving servo signals
void Radio_Init(void);

// output a radio channel value
unsigned short Radio_PulseWidth(unsigned char channel);

// returns true if the flag has be asserted, indicating a new recieved pulse
unsigned char Radio_ReadyFlag(unsigned char channel);

// acknowledges a flag by setting it low
void Radio_DisassertFlag(unsigned char channel);

#endif
